Bug 60260 - Segmentation fault in as with pound sign and at least one character on first line
Summary: Segmentation fault in as with pound sign and at least one character on first ...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-23 04:41 UTC by windonstewart
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-27 23:03:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description windonstewart 2002-02-23 04:41:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020206

Description of problem:
as faults when source starts with a # in the first position followed by anything
on the first line.
It has no problem when the pound sign is immediately followed by a return, has
spaces before the pound sign, or is preceded by other lines even when they only
contain returns. Rawhide's binutils-2.11.93.0.2-3 has the same problem.
The fault also occurs when the first line starts with #include ...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create source with # as the first character on the first line followed by at
least one character and a return.
2. compile with as with source filename and with or without any options.

Actual Results:  Terminates with error message:
Segmentation fault

Expected Results:  Process source normally.

Comment 1 windonstewart 2002-02-24 02:16:59 UTC
For clarification, at least for the i386 and x86-64 versions of as(sembler), the
pound sign (#) is used to start a comment line.

gcc 3.1 and 2.96 versions (at least in Rawhide) generate code from .S files
(even ones without code) to .s files with the conditions above and cause
as(sembler) to fault on the .s files.

Which explains my discovery (slipup) when I made the (confused) statement above:
"The fault also occurs when the first line starts with #include ..."  I had
passed the .S file into the as(sembler) instead of gcc, but when I had passed it
through gcc, I still got the segentation fault in as(sembler).

Comment 2 Jakub Jelinek 2002-02-25 17:06:18 UTC
What glibc are you using? My guess is one of 2.2.90-{4,5,6,7}, right?

Comment 3 windonstewart 2002-02-27 23:03:29 UTC
You're right. -6, to be exact.

Comment 4 Jakub Jelinek 2002-03-04 15:59:09 UTC
SHould be fixed in glibc-2.2.90-8 (or 2.2.5-2{5,6}).

Comment 5 windonstewart 2002-03-05 03:10:14 UTC
glibc-2.2.90-8 solved the problem. Thanks.
  Windon


Note You need to log in before you can comment on or make changes to this bug.